{% extends "admin/catalogo/index.twig" %}
{% block contenido %}
    <div class="row">
        <div class="small-12 columns">
            <h3>Datos del producto</h3>
            <div class="divFormulario">
                <form id="formReferencia" name="formReferencia" method="post" action="index.php?controller=adminCatalogo">
                    <input type="hidden" name="task" id="task" value="guardarProducto" />
                    <input type="hidden" name="id" id="id" value="{{ producto.id }}" />
                    <div id="divMenuRef">
                        <ul id="menuRef" class="tabs" data-tabs>
                            <li class="tabs-title is-active"><a daria-selected="true" href="#divDatosBasicos">Datos b&aacute;sicos</a></li>            		
                            <li class="tabs-title"><a href="#divCategorias">Categor&iacute;as</a></li>
                            {#<li class="tabs-title"><a href="#divAtributos">Atributos</a></li>
                            <li class="tabs-title"><a href="#divConjunto">Conjuntos</a></li>#}
                            <li class="tabs-title"><a href="#divExtensiones">Extensiones</a></li>
                            <li class="tabs-title"><a href="#divImagenes">Imagenes</a></li>
                        </ul>
                    </div>
                    <div class="tabs-content" data-tabs-content="menuRef">
                        <div id="divDatosBasicos" class="tabs-panel is-active">
                            <table cellspacing="3" cellpadding="3">
                                <tr>
                                    <td><span class="etq_form">Nombre</span></td>
                                    <td><input type="text" name="nombre" id="nombre" value="{{ producto.nombre }}" /></td>
                                </tr>
                                <tr>
                                    <td><span class="etq_form">Referencia</span></td>
                                    <td><input type="text" name="referencia" id="referencia" value="{{ producto.referencia }}" /></td>
                                </tr>
                                <tr style="display: none">
                                    <td><span class="etq_form">Tipo</span></td>
                                    <td>
                                        <input style="float: left" type="radio" name="tipo" id="tipo_normal" value="N" checked {% if producto.tipo == "N" %}checked{% endif %} />
                                        <label style="float: left" for="tipo_normal">Normal</label>
                                        <div style="clear: both"></div>
                                        <input style="float: left" type="radio" name="tipo" id="tipo_conj" value="C" {% if producto.tipo == "C" %}checked{% endif %} />
                                        <label style="float: left" for="tipo_conj">Conjunto</label>
                                    </td>
                                </tr>
                                <tr>
                                    <td><span class="etq_form">Valor base</span></td>
                                    <td><input type="text" name="valor_base" id="valor_base" value="{{ producto.valor_base }}" /></td>
                                </tr>
                                <tr>
                                    <td><span class="etq_form">Descripci&oacute;n</span></td>
                                    <td><textarea id="descripcion" name="descripcion">{{ producto.descripcion }}</textarea></td>
                                </tr>
                            </table>
                        </div>

                        <div id="divCategorias" class="tabs-panel">
                            <h4>Seleccione las categor&iacute;as del producto</h4>
                            <ul style="list-style: none; margin-left: 0">
                                {% for c in categorias %}
                                    <li>                        
                                        <label for="cat_{{ c.id }}"><input type="checkbox" id="cat_{{ c.id }}" name="categorias[]" value="{{ c.id }}" {% if c.productos|length > 0 %}checked{% endif %} /> {{ c.nombre }}</label>
                                        <div style="clear: both"></div>
                                    </li>
                                {% endfor %}
                            </ul>
                        </div>

                        {#<div id="divAtributos" class="tabs-panel">
                            <h4>Ingrese los atributos del producto</h4>
                            <table class="table table-bordered table-striped table-hover">
                                {% for a in atributos %}
                                    <tr>
                                        <td>{{ a.descripcion }}</td>
                                        <td>
                                            <input type="hidden" id="atributo_id_{{ a.id }}" name="atributos_id[{{ a.id }}]" value="{% if a.atributosRef|length > 0 %}{{ a.atributosRef.first.id }}{% endif %}" />
                                            <input type="text" id="atributo_{{ a.id }}" name="atributos[{{ a.id }}]" value="{% if a.atributosRef|length > 0 %}{{ a.atributosRef.first.valor }}{% endif %}" />
                                        </td>
                                    </tr>
                                {% endfor %}
                            </table>
                        </div>

                        <div id="divConjunto" class="tabs-panel">
                            {% if producto.tipo == "C" %}
                                <select name="cboListaRef" id="cboListaRef">
                                    {% for r in listaRef %}
                                        {% if  r.id != ref.id %}
                                            <option value="{{ r.id }}">{{ r.nombre }} - {{ r.referencia }}</option>
                                        {% endif %}
                                    {% endfor %}
                                </select>

                                <div class="iconoBoton" style="float: right">
                                    <a id="btnAdicionarConjRef" href="javascript:_void()">
                                        <img src="{{ urlImg }}guardar32.png" alt="Guardar" />
                                        <span>A&ntilde;adir</span>
                                    </a>
                                    <div style="float: none; clear: both"></div>
                                </div>
                                <div id="listaConjuntoRef">
                                    {{ listaRefAsig|raw }}
                                </div>
                            {% else %}
                                <div>Este producto no soporta la caracter&iacute;stica de conjuntos</div>
                            {% endif %}
                        </div>#}

                        <div id="divExtensiones" class="tabs-panel">
                            {% if producto.id > 0 %}
                                <h4>Extensiones asignadas al producto</h4>
                                <div id="divListaExtensiones">
                                    {% include 'admin/catalogo/lista_extensiones.twig' with { 'extensiones' : producto.extensiones } %}
                                </div>

                                <h4>Datos de la extensi&oacute;n
                                </h4>
                                <div id="divFormExtensiones">
                                    {% include 'admin/catalogo/form_extension.twig' with { 'id_producto' : producto.id } %}
                                </div>
                            {% else %}
                                <p>Debe guardar el producto para poder agregar extensiones</p>
                            {% endif %}
                        </div>

                        <div id="divImagenes" class="tabs-panel">
                            <div id="divListaImagenes">
                                {% include 'admin/catalogo/lista_imagenes.twig' with { 'producto' : producto, 'urlImg': urlImg } %}
                            </div>
                            {% if producto.id > 0 %}
                                <h4>Asignar Im&aacute;genes al producto</h4>
                                <div id="upload_img">
                                    <p>Your browser doesn't have Flash, Silverlight or HTML5 support.</p>
                                </div>
                            {% else %}
                                <p>Debe guardar el producto para poder agregar im&aacute;genes</p>
                            {% endif %}
                        </div>
                    </div>
                    <input type="submit" class="button default" value="Guardar" />
                    <a class="button alert" href="index.php?controller=adminCatalogo&task=listarProductos">Regresar</a>
                </form>
            </div>
        </div>
    </div>
{% endblock %}